Bug 1659844 - The CPU L3 Cache Size mismatch with the provided CPU DCL
Summary: The CPU L3 Cache Size mismatch with the provided CPU DCL
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dmidecode
Version: 7.6
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: lijiang
QA Contact: Mike Gahagan
URL:
Whiteboard:
Depends On:
Blocks: 1586275 1602778
TreeView+ depends on / blocked
 
Reported: 2018-12-17 02:00 UTC by fuguangzhe
Modified: 2019-02-15 03:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-19 18:22:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
this file include dmidecode dump bin file and sosreport (15.49 MB, application/gzip)
2018-12-17 02:37 UTC, fuguangzhe
no flags Details

Description fuguangzhe 2018-12-17 02:00:32 UTC
Description of problem:
Use the command dmidecode -t cache  to check L3 cache Size.
The CPU L3 Cache Size mismatch with the provided CPU DCL 

Version-Release number of selected component (if applicable):
dmidecode v3.1

How reproducible:


Steps to Reproduce:
1.dmidecode -t cache
2.check L3 cache size is 33384KB 
3.Intel PTU and RWEverything tool is 39424 KB

Actual results:
L3 cache size is 33384KB

Expected results:
L3 cache size is 39424 KB

Additional info:
From the SMBIOS Spec as below:
Maximum size that can be installed  
Bit 15  Granularity
  0 – 1K granularity
  1 – 64K granularity
Bits 14:0  Max size in given granularity

uEFI put the row data in SMBIOS type 7, but seems like it's different parsing with the row data.

1.Intel PTU and RWEverything tool
0x8268 (row data) = 0x268 (skip Bit 15) * 64KB (Bit 15 set) = 39424 KB (correct)


Dmidecode tool: 
    0x8268 (row data) = 33384KB (incorrect with 1KB granularity)

Comment 2 fuguangzhe 2018-12-17 02:37:36 UTC
Created attachment 1514956 [details]
this file include dmidecode dump bin file and sosreport

this file include dmidecode dump bin file and sosreport

dmidecode -t cache output

Comment 3 Joseph Kachuck 2018-12-18 15:04:30 UTC
Hello Lenovo,
This appears to be a DUP of 1656313. Please let me know if you agree with this. If not please let me know why.

Thank You
Joe Kachuck

Comment 4 fuguangzhe 2018-12-19 02:23:30 UTC
(In reply to Joseph Kachuck from comment #3)
> Hello Lenovo,
> This appears to be a DUP of 1656313. Please let me know if you agree with
> this. If not please let me know why.
> 
> Thank You
> Joe Kachuck

yes, Joe.
this is bios issue, Please close it.
Thanks.


Note You need to log in before you can comment on or make changes to this bug.